Package org.kie.api.command

# Interface KieCommands

All Superinterfaces:
  `Comparable<KieService>`, `KieService`

public interface KieCommands extends KieService
KieCommands is a factory for Commands that can be used by classes that implement CommandExecutor. Typically more than one Command will want to be executed, where is where the BatchExecution comes in, which takes a List of commands, think of it as CompositeCommand.

- ## Field Summary

  ### Fields inherited from interface org.kie.api.internal.utils.KieService

  `UNDEFINED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Command<FactHandle>`
  `fromExternalFactHandleCommand(String factHandleExternalForm)`
  `Command<FactHandle>`
  `fromExternalFactHandleCommand(String factHandleExternalForm, boolean disconnected)`
  `Command`
  `newAbortWorkItem(long workItemId)`
  `Command<Long>`
  `newAdvanceSessionTime(long amount, TimeUnit unit)`
  `Command<Long>`
  `newAdvanceSessionTime(long amount, TimeUnit unit, String outIdentifier)`
  `Command`
  `newAgendaGroupSetFocus(String name)`
  `Command`
  `newApplyPmmlModel(PMMLRequestData request)`
  `BatchExecutionCommand`
  `newBatchExecution(List<? extends Command> commands)`
  `BatchExecutionCommand`
  `newBatchExecution(List<? extends Command> commands, String lookup)`
  `default BatchExecutionCommand`
  `newBatchExecution(Command... commands)`
  `Command`
  `newCompleteWorkItem(long workItemId, Map<String,Object> results)`
  `Command`
  `newDelete(FactHandle factHandle)`
  `Command`
  `newDeleteObject(Object object, String entryPoint)`
  `Command`
  `newDispose()`
  `ExecutionResults`
  `newExecutionResults()`
  `Command`
  `newFireAllRules()`
  `Command`
  `newFireAllRules(int max)`
  `Command`
  `newFireAllRules(String outidentifier)`
  `Command`
  `newGetFactHandle(Object object)`
  `Command`
  `newGetFactHandleInEntryPoint(Object object, String entryPoint)`
  `Command`
  `newGetFactHandles()`
  `Command`
  `newGetFactHandles(String outIdentifier)`
  `Command`
  `newGetFactHandles(ObjectFilter filter)`
  `Command`
  `newGetFactHandles(ObjectFilter filter, String outIdentifier)`
  `Command`
  `newGetGlobal(String identifier)`
  `Command`
  `newGetGlobal(String identifier, String outIdentifier)`
  `Command`
  `newGetObject(FactHandle factHandle)`
  `Command`
  `newGetObject(FactHandle factHandle, String outIdentifier)`
  `Command`
  `newGetObjects()`
  `Command`
  `newGetObjects(String outIdentifier)`
  `Command`
  `newGetObjects(ObjectFilter filter)`
  `Command`
  `newGetObjects(ObjectFilter filter, String outIdentifier)`
  `Command<Long>`
  `newGetSessionTime()`
  `Command<Long>`
  `newGetSessionTime(String outIdentifier)`
  `Command`
  `newInsert(Object object)`
  `Command`
  `newInsert(Object object, String outIdentifier)`
  `Command`
  `newInsert(Object object, String outIdentifier, boolean returnObject, String entryPoint)`
  `Command`
  `newInsertElements(Iterable objects)`
  `Command`
  `newInsertElements(Iterable objects, String outIdentifier)`
  `Command`
  `newInsertElements(Iterable objects, String outIdentifier, boolean returnObject, String entryPoint)`
  `Command`
  `newModify(FactHandle factHandle, List<Setter> setters)`
  `Command`
  `newQuery(String identifier, String name)`
  `Command`
  `newQuery(String identifier, String name, Object[] arguments)`
  `Command`
  `newRegisterWorkItemHandlerCommand(WorkItemHandler handler, String workItemName)`
  `Command`
  `newSetGlobal(String identifie, Object object)`
  `Command`
  `newSetGlobal(String identifier, Object object, boolean out)`
  `Command`
  `newSetGlobal(String identifier, Object object, String outIdentifier)`
  `Setter`
  `newSetter(String accessor, String value)`
  `Command`
  `newSignalEvent(String type, Object event)`
  `Command`
  `newSignalEvent(String processInstanceId, String type, Object event)`
  `Command`
  `newStartProcess(String processId)`
  `Command`
  `newStartProcess(String processId, Map<String,Object> parameters)`

  ### Methods inherited from interface org.kie.api.internal.utils.KieService

  `compareTo, servicePriority, serviceTag`

- ## Method Details

  - ### newInsert

    Command newInsert(Object object)

  - ### newDispose

    Command newDispose()

  - ### newInsert

    Command newInsert(Object object, String outIdentifier)

  - ### newInsert

    Command newInsert(Object object, String outIdentifier, boolean returnObject, String entryPoint)

  - ### newInsertElements

    Command newInsertElements(Iterable objects)

  - ### newInsertElements

    Command newInsertElements(Iterable objects, String outIdentifier)

  - ### newInsertElements

    Command newInsertElements(Iterable objects, String outIdentifier, boolean returnObject, String entryPoint)

  - ### newDelete

    Command newDelete(FactHandle factHandle)

  - ### newDeleteObject

    Command newDeleteObject(Object object, String entryPoint)

  - ### newSetter

    Setter newSetter(String accessor, String value)

  - ### newModify

    Command newModify(FactHandle factHandle, List<Setter> setters)

  - ### newFireAllRules

    Command newFireAllRules()

  - ### newFireAllRules

    Command newFireAllRules(int max)

  - ### newFireAllRules

    Command newFireAllRules(String outidentifier)

  - ### newGetFactHandle

    Command newGetFactHandle(Object object)

  - ### newGetFactHandleInEntryPoint

    Command newGetFactHandleInEntryPoint(Object object, String entryPoint)

  - ### newGetObject

    Command newGetObject(FactHandle factHandle)

  - ### newGetObject

    Command newGetObject(FactHandle factHandle, String outIdentifier)

  - ### newGetObjects

    Command newGetObjects()

  - ### newGetObjects

    Command newGetObjects(String outIdentifier)

  - ### newGetObjects

    Command newGetObjects(ObjectFilter filter)

  - ### newGetObjects

    Command newGetObjects(ObjectFilter filter, String outIdentifier)

  - ### newSetGlobal

    Command newSetGlobal(String identifie, Object object)

  - ### newSetGlobal

    Command newSetGlobal(String identifier, Object object, boolean out)

  - ### newSetGlobal

    Command newSetGlobal(String identifier, Object object, String outIdentifier)

  - ### newGetGlobal

    Command newGetGlobal(String identifier)

  - ### newGetGlobal

    Command newGetGlobal(String identifier, String outIdentifier)

  - ### newStartProcess

    Command newStartProcess(String processId)

  - ### newStartProcess

    Command newStartProcess(String processId, Map<String,Object> parameters)

  - ### newSignalEvent

    Command newSignalEvent(String type, Object event)

  - ### newSignalEvent

    Command newSignalEvent(String processInstanceId, String type, Object event)

  - ### newQuery

    Command newQuery(String identifier, String name)

  - ### newQuery

    Command newQuery(String identifier, String name, Object[] arguments)

  - ### newBatchExecution

    default BatchExecutionCommand newBatchExecution(Command... commands)

  - ### newBatchExecution

    BatchExecutionCommand newBatchExecution(List<? extends Command> commands)

  - ### newBatchExecution

    BatchExecutionCommand newBatchExecution(List<? extends Command> commands, String lookup)

  - ### newRegisterWorkItemHandlerCommand

    Command newRegisterWorkItemHandlerCommand(WorkItemHandler handler, String workItemName)

  - ### newAbortWorkItem

    Command newAbortWorkItem(long workItemId)

  - ### newCompleteWorkItem

    Command newCompleteWorkItem(long workItemId, Map<String,Object> results)

  - ### fromExternalFactHandleCommand

    Command<FactHandle> fromExternalFactHandleCommand(String factHandleExternalForm)

  - ### fromExternalFactHandleCommand

    Command<FactHandle> fromExternalFactHandleCommand(String factHandleExternalForm, boolean disconnected)

  - ### newAgendaGroupSetFocus

    Command newAgendaGroupSetFocus(String name)

  - ### newGetFactHandles

    Command newGetFactHandles()

  - ### newGetFactHandles

    Command newGetFactHandles(String outIdentifier)

  - ### newGetFactHandles

    Command newGetFactHandles(ObjectFilter filter)

  - ### newGetFactHandles

    Command newGetFactHandles(ObjectFilter filter, String outIdentifier)

  - ### newGetSessionTime

    Command<Long> newGetSessionTime()

  - ### newGetSessionTime

    Command<Long> newGetSessionTime(String outIdentifier)

  - ### newAdvanceSessionTime

    Command<Long> newAdvanceSessionTime(long amount, TimeUnit unit)

  - ### newAdvanceSessionTime

    Command<Long> newAdvanceSessionTime(long amount, TimeUnit unit, String outIdentifier)

  - ### newApplyPmmlModel

    Command newApplyPmmlModel(PMMLRequestData request)

  - ### newExecutionResults

    ExecutionResults newExecutionResults()